Assign Roles in Tenant

Assigns Roles to a User within a Tenant.

PUT
/v2/manage/account/{uid}/orgcontext/roles

Assigns Roles to a User within a Tenant.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

uid*string

UID of the User

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/account/123456789/orgcontext/roles"
{
  "Data": [
    {
      "Id": "user_role_ru43jd3",
      "Uid": "123456789",
      "RoleId": "Role_dsag432d",
      "OrgId": "org_fasf432d",
      "Email": "defaultuser@email.com",
      "CreatedDate": "2023-10-01T00:00:00Z"
    }
  ]
}

{
  "ErrorCode": 8131,
  "Message": "User id is required",
  "Description": "User id is required, Please provide user id."
}

{
  "ErrorCode": 8143,
  "Message": "Role does not belong to tenant",
  "Description": "Role does not belong to tenant, Please provide valid Role id."
}

{
  "ErrorCode": 8132,
  "Message": "User does not exist",
  "Description": "User does not exist, Please provide valid user id."
}
{
  "ErrorCode": 8130,
  "Message": "User Role already exists",
  "Description": "User Role already exists, Please provide valid Role id."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}